Bug 217810 - Review Request: perl-Gtk2-Ex-Dialogs - Useful tools for Gnome2/Gtk2 Perl GUI design
Review Request: perl-Gtk2-Ex-Dialogs - Useful tools for Gnome2/Gtk2 Perl GUI ...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
Depends On: 217807
  Show dependency treegraph
Reported: 2006-11-29 19:47 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-30 01:57:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-11-29 19:47:24 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Dialogs-0.11-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Dialogs.spec

This module provides a clean, simple, quick api to generate and use common
Gtk2 dialogs, either from within a full-blown Gtk2 app or as a one-off deal
inside a non-Gtk2 perl application.
Comment 1 Parag AN(पराग) 2006-11-29 20:47:00 EST
taking this package for review
Comment 2 Parag AN(पराग) 2006-11-30 01:39:06 EST
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
1ad86e1b3088971835a9393c710dbbfc  Gtk2-Ex-Dialogs-0.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
Comment 3 Chris Weyl 2006-11-30 01:57:57 EST
Imported and building for devel; branching for FC-[56] requested.

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.